/**
 * @description This is the instance of ConvertXmlToJson.
 * @type ConvertXmlToJson
 */
var convertXMLToJSON;
/**
 * @description This is the instance of ElementJSON.
 * @type ElementJSON
 */
var elementJSON;
/**
 * @description This is the instance of Graph.
 * @type Graph
 */
var graph;
/**
 * @description Root url of the website.
 * @type String
 */
var racineUrl = window.location.protocol + "//" + window.location.host + "/";
/**
 * @description Defined the layout who can use a grouped layout.
 * @type {string[]}
 */
var compatibleGroupLayout = ["cola", "dot", "fdp", "osage", "twopi"];
/**
 * @description Contains all of the node data properties to not show in the Info dialog.
 * @type {string[]}
 */
var propertiesToNotShowInInfoDialog = [
    /* Node properties */
    "description", "class", "groupbycause", "groupbyimpact",
    /* Edge properties */
    "source", "target"
];
/**
 * @description The location of the minimize dialog.
 * @type {string}
 */
var dialogMinimizeLocation = "right";
/**
 * @description Enumerate the different way to use the json.
 * @typedef {{origin:"origin", cause:"groupbycause", impact:"groupbyimpact"}} Utilisation Enumeration of the different way to use the json.
 */
var utilisation = {origin:"origin", cause:"groupbycause", impact:"groupbyimpact"};
/**
 * @description Set all filter's class.
 * @type {string[]}
 */
var filterClass = [
    "Router",
    "Rack",
    "Switch",
    "NetworkInterface",
    "DnsAlias",
    "BlockDevice",
    "Server",
    "Configuration",
    "ConfigurationGroup",
    "UserGroup",
    "ServiceElement",
    "CoreGroup",
    "ExpertGroup",
    "Expert"
];
/**
 * @description Node's and edge's names.
 * @type {{node: string, edge: string}}
 */
var elementGroup = {
    node: "nodes",
    edge: "edges"
};
/**
 * @description Contains the css classes to use on the nodes and edges.
 * @type {{impacted: string, cause: string, intersection: string, external: string, black: string}}
 */
var css_classes = {
    impacted    : "impacted",

    cause       : "cause",
    intersection: "intersection",

    external    : "external",

    living      : "living",
    scratch     : "scratch",
    minor       : "minor",
    illness     : "illness",
    important   : "important",
    dead        : "dead",
    black       : "black"
};
/**
 * @description Higher number of nodes to render without confirmation.
 * @type {number}
 */
var sizeToConfirm = 300;
/**
 * @description Chose what gradient you want to use for the impact color of the nodes.
 * false: 3 impact node's colors.
 * true: 5 impact node's colors.
 * @type {boolean}
 */
var vastGradient = false;
/**
 * @description Name of this page.
 * @type {string}
 */
var pageName = "impact";
/**
 * @description All classes in an array.
 * @type {Array}
 */
var css_classes_array = [];
for (var index in css_classes) {
    css_classes_array.push(css_classes[index]);
}
/**
 * @description To pass from normal to debug mode.
 * @type {boolean}
 */
var debug = false;